import { ReactElement, ReactNode } from 'react';
export interface PlotChildren {
    series: ReactElement[];
    annotations: ReactElement[];
    topAxis: ReactElement | null;
    rightAxis: ReactElement | null;
    bottomAxis: ReactElement | null;
    leftAxis: ReactElement | null;
    heading: ReactElement | null;
    legend: ReactElement | null;
}
/**
 * Validates that all the children inside Plot are supported and organizes them by kind.
 */
export declare function splitChildren(children: ReactNode): PlotChildren;
//# sourceMappingURL=splitChildren.d.ts.map