import { CSSProperties, MouseEventHandler } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationBoxPlotProps {
    min: ScalarValue;
    max: ScalarValue;
    q1: ScalarValue;
    median: ScalarValue;
    q3: ScalarValue;
    width: ScalarValue;
    y: ScalarValue;
    xAxis?: string;
    yAxis?: string;
    medianColor?: string;
    medianStyle?: CSSProperties;
    boxColor?: string;
    boxStyle?: CSSProperties;
    whiskerColor?: string;
    whiskerStyle?: CSSProperties;
    minMaxColor?: string;
    minMaxStyle?: CSSProperties;
    onMouseEnter?: MouseEventHandler<SVGGElement>;
    onMouseLeave?: MouseEventHandler<SVGGElement>;
}
export declare function BoxPlot(props: AnnotationBoxPlotProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=BoxPlot.d.ts.map