"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Circle = Circle;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Circle(props) {
    const { x, y, r: oldR, color, xAxis = 'x', yAxis = 'y', ...otherProps } = props;
    const { cx, cy, rx: r, } = (0, hooks_1.useEllipsePosition)({
        cx: x,
        cy: y,
        rx: oldR,
        ry: oldR,
        xAxis,
        yAxis,
    });
    return (0, jsx_runtime_1.jsx)("circle", { cx: cx, cy: cy, r: r, fill: color, ...otherProps });
}
//# sourceMappingURL=Circle.js.map