"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = TransparentRect;
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Like <rect>, but transparent by default
 */
function TransparentRect(props) {
    const { style } = props;
    return ((0, jsx_runtime_1.jsx)("rect", { ...props, style: { fillOpacity: style?.fill ? undefined : 0, ...style } }));
}
//# sourceMappingURL=TransparentRect.js.map