"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = MainLayer;
const jsx_runtime_1 = require("react/jsx-runtime");
const bboxContext_1 = require("../../contexts/bboxContext");
const TransparentRect_1 = __importDefault(require("../TransparentRect"));
function MainLayer(props) {
    const { width, height, svgStyle, svgId, svgClassName, plotViewportStyle, seriesViewportStyle, topOffset, leftOffset, plotWidth, plotHeight, plotId, series, topAxisRef, topAxis, rightAxisRef, rightAxis, bottomAxisRef, bottomAxis, leftAxisRef, leftAxis, headingRef, heading, } = props;
    return ((0, jsx_runtime_1.jsxs)("svg", { xmlns: "http://www.w3.org/2000/svg", width: width, height: height, style: svgStyle, id: svgId, className: svgClassName, children: [(0, jsx_runtime_1.jsx)(TransparentRect_1.default, { width: width, height: height, style: plotViewportStyle }), (0, jsx_runtime_1.jsxs)("g", { transform: `translate(${leftOffset}, ${topOffset})`, children: [(0, jsx_runtime_1.jsx)(TransparentRect_1.default, { width: plotWidth, height: plotHeight, style: seriesViewportStyle }), (0, jsx_runtime_1.jsx)("clipPath", { id: `seriesViewportClip-${plotId}`, children: (0, jsx_runtime_1.jsx)("rect", { width: plotWidth, height: plotHeight }) }), (0, jsx_runtime_1.jsx)("g", { style: { clipPath: `url(#seriesViewportClip-${plotId})` }, children: series }), (0, jsx_runtime_1.jsx)(bboxContext_1.bboxContext.Provider, { value: topAxisRef, children: (0, jsx_runtime_1.jsx)("g", { children: topAxis }) }), (0, jsx_runtime_1.jsx)(bboxContext_1.bboxContext.Provider, { value: rightAxisRef, children: (0, jsx_runtime_1.jsx)("g", { children: rightAxis }) }), (0, jsx_runtime_1.jsx)(bboxContext_1.bboxContext.Provider, { value: bottomAxisRef, children: (0, jsx_runtime_1.jsx)("g", { children: bottomAxis }) }), (0, jsx_runtime_1.jsx)(bboxContext_1.bboxContext.Provider, { value: leftAxisRef, children: (0, jsx_runtime_1.jsx)("g", { children: leftAxis }) })] }), (0, jsx_runtime_1.jsx)("g", { ref: headingRef, children: heading })] }));
}
//# sourceMappingURL=MainLayer.js.map