import { ReactNode } from 'react';
import { ControllerHookOptions } from '../../hooks/types';
import { EventsHandlers, PlotEventsPlotActions } from './usePlotEvents';
import { PlotControls, PlotOverridesState } from './usePlotOverrides';
export declare function usePlotOverrides(options?: ControllerHookOptions): PlotOverridesState;
export declare function usePlotControls(options?: ControllerHookOptions): PlotControls;
export declare function usePlotEvents(handlers: EventsHandlers, options?: ControllerHookOptions): void;
export declare function usePlotEventsPlotContext(options?: ControllerHookOptions): PlotEventsPlotActions | null;
interface PlotControllerProps {
    id?: string;
    children: ReactNode;
}
export declare function PlotController(props: PlotControllerProps): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=plotControllerContext.d.ts.map