import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationPolylineProps extends Omit<SVGProps<SVGPolylineElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'points'> {
    points: Array<{
        x: ScalarValue;
        y: ScalarValue;
    }>;
    xAxis?: string;
    yAxis?: string;
    color?: string;
}
export declare function Polyline(props: AnnotationPolylineProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Polyline.d.ts.map