"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Polyline = Polyline;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Polyline(props) {
    const { points: oldPoints, color, xAxis = 'x', yAxis = 'y', ...polylineProps } = props;
    const points = (0, hooks_1.usePointsPosition)({ points: oldPoints, xAxis, yAxis });
    return ((0, jsx_runtime_1.jsx)("polyline", { stroke: color, fill: "none", points: points, ...polylineProps }));
}
//# sourceMappingURL=Polyline.js.map