import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationRectangleProps extends Omit<SVGProps<SVGRectElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'x' | 'y' | 'width' | 'height' | 'fill'> {
    x1: ScalarValue;
    y1: ScalarValue;
    x2: ScalarValue;
    y2: ScalarValue;
    xAxis?: string;
    yAxis?: string;
    color?: string;
}
export declare function Rectangle(props: AnnotationRectangleProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Rectangle.d.ts.map