"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rectangle = Rectangle;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Rectangle(props) {
    const { x1: oldX1, y1: oldY1, x2: oldX2, y2: oldY2, color, xAxis = 'x', yAxis = 'y', ...otherProps } = props;
    const { x, y, width, height } = (0, hooks_1.useRectanglePosition)({
        x1: oldX1,
        y1: oldY1,
        x2: oldX2,
        y2: oldY2,
        xAxis,
        yAxis,
    });
    return ((0, jsx_runtime_1.jsx)("rect", { x: x, y: y, width: width, height: height, fill: color, ...otherProps }));
}
//# sourceMappingURL=Rectangle.js.map