"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = Text;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Text(props) {
    const { x: xOld, y: yOld, children, color, xAxis = 'x', yAxis = 'y', ...otherProps } = props;
    const { x, y } = (0, hooks_1.usePosition)({ x: xOld, y: yOld, xAxis, yAxis });
    return ((0, jsx_runtime_1.jsx)("text", { x: x, y: y, fill: color, ...otherProps, children: children }));
}
//# sourceMappingURL=Text.js.map