import type { CSSFuncProps, Position } from '../types';
export type LegendPosition = Position | 'embedded';
export type LegendProps = {
    position?: LegendPosition;
    margin?: number;
    onClick?: (args: {
        event: React.MouseEvent<SVGGElement>;
        id: string;
    }) => void;
    labelStyle?: CSSFuncProps<{
        id: string;
    }>;
    lineStyle?: CSSFuncProps<{
        id: string;
    }>;
    showHide?: boolean;
} & {
    [K in Position]?: number;
};
export declare function Legend(options: LegendProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Legend.d.ts.map