"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = AnnotationsTrackingLayer;
const jsx_runtime_1 = require("react/jsx-runtime");
const legendOffsetContext_1 = require("../../contexts/legendOffsetContext");
function AnnotationsTrackingLayer(props) {
    const { width, height, svgStyle, svgId, svgClassName, topOffset, leftOffset, legendOffset, legend, legendRef, plotId, annotations, tracking, } = props;
    return ((0, jsx_runtime_1.jsxs)("svg", { xmlns: "http://www.w3.org/2000/svg", width: width, height: height, style: svgStyle, id: svgId ? `${svgId}-annotations` : undefined, className: svgClassName, children: [(0, jsx_runtime_1.jsxs)("g", { transform: `translate(${leftOffset}, ${topOffset})`, children: [(0, jsx_runtime_1.jsx)("g", { style: { clipPath: `url(#seriesViewportClip-${plotId})` }, children: annotations }), tracking] }), (0, jsx_runtime_1.jsx)("g", { transform: `translate(${leftOffset}, ${topOffset})`, children: (0, jsx_runtime_1.jsx)(legendOffsetContext_1.legendOffsetContext.Provider, { value: legendOffset, children: (0, jsx_runtime_1.jsx)("g", { ref: legendRef, children: legend }) }) })] }));
}
//# sourceMappingURL=AnnotationsTrackingLayer.js.map